####################################################################
#  SLICOT main makefile                                            #
#  Top Level Makefile for generating SLICOT Library object file,   #
#  the auxiliary library file, and linking and running the example #
#  programs.                                                       #
#  SLICOT, Release 5.0                          ./slicot/makefile  #
#  October 31, 1996                                                #
#  Revised December 7, 1999; February 14, 2005.                    #
####################################################################
#
#  This makefile creates/updates the SLICOT Library object file, the
#  auxiliary library, and compiles, links, and runs the example
#  programs for the SLICOT  Library. To perform all these actions, 
#  enter
#       make
#
#  To create/update the library for SLICOT and auxiliary library, 
#  enter 
#       make lib
#
#  To compile, link, and run the example programs, enter 
#       make example
#
#  To remove the object files for SLICOT routines and auxiliary
#  routines, enter
#       make cleanlib
#
#  To remove the files with the computed results (*.exa), enter
#       make cleanexample
#
#  To remove the object files for SLICOT routines and auxiliary
#  routines, as well as the files with the computed results (*.exa), 
#  enter
#       make clean
#
####################################################################

include make.inc

all: lib example

clean: cleanlib cleanexample

lib:
	( cd src; $(MAKE) )
	( cd src_aux; $(MAKE) )

example:
	( cd examples; $(MAKE) )

cleanlib:
	( cd src; $(MAKE) clean )
	( cd src_aux; $(MAKE) clean )

cleanexample:
	( cd examples; $(MAKE) clean )
